import { UrlDecode } from '../url/core-services-url.service';
var Clean = /** @class */ (function () {
    function Clean() {
    }
    Clean.prototype.trim = function (text) {
        if (text == null) {
            return '';
        }
        else {
            var between = /^\s*|\s*$/g; // remove space from start and end
            var middle = /\s\s+/g; // remove space from middle
            return text
                .replace(between, '')
                .replace(middle, ' ');
        }
    };
    Clean.prototype.trimLeft = function (text) {
        if (text == null) {
            return '';
        }
        else {
            var between = /^\s*/g; // remove space from start
            return text.replace(between, '');
        }
    };
    Clean.prototype.trimRight = function (text) {
        if (text == null) {
            return '';
        }
        else {
            var between = /\s*$/g; // remove space from end
            return text.replace(between, '');
        }
    };
    Clean.prototype.trimBetween = function (text) {
        if (text == null) {
            return '';
        }
        else {
            var between = /^\s*|\s*$/g; // remove space from start and end
            return text.replace(between, '');
        }
    };
    Clean.prototype.trimMiddle = function (text) {
        if (text == null) {
            return '';
        }
        else {
            var middle = /\s\s+/g; // remove space from middle
            return text.replace(middle, ' ');
        }
    };
    Clean.prototype.cleanText = function (string) {
        string = this.trim(string);
        return UrlDecode.decodeHtmlText(StringConverter.stringUnicode(string).trim());
    };
    return Clean;
}());
// tslint:disable-next-line:variable-name
export var StringClean = new Clean();
var Converter = /** @class */ (function () {
    function Converter() {
    }
    Converter.prototype.currencyToNumber = function (num, decimal, currency) {
        if (decimal === void 0) { decimal = ','; }
        if (currency != null) {
            return parseFloat(num.toString()
                .replace(/\./g, '')
                .replace(',', '.')
                .replace(' ', '')
                .replace(currency, ''));
        }
        else {
            return parseFloat(num.toString()
                .replace(/\./g, '')
                .replace(',', '.')
                .replace('Ar$ ', '')
                .replace('R$ ', '')
                .replace('€ ', '')
                .replace('US$ ', ''));
        }
    };
    Converter.prototype.formatNumber = function (num, decimal) {
        if (decimal === void 0) { decimal = '.'; }
        var separator = decimal === '.' ? '$1.' : '$1,';
        return num.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, separator);
    };
    Converter.prototype.numberToString = function (number) {
        var maxLength = number.toString().length;
        if (maxLength < 3) {
            if (number < 10) {
                return '0' + number;
            }
            else {
                return number.toString();
            }
        }
        else if (maxLength < 4) {
            if (number < 10) {
                return '00' + number;
            }
            else if (number < 100) {
                return '0' + number;
            }
            else {
                return number.toString();
            }
        }
        else if (maxLength < 5) {
            if (number < 10) {
                return '000' + number;
            }
            else if (number < 100) {
                return '00' + number;
            }
            else if (number < 1000) {
                return '0' + number;
            }
            else {
                return number.toString();
            }
        }
        else if (maxLength < 6) {
            if (number < 10) {
                return '0000' + number;
            }
            else if (number < 100) {
                return '000' + number;
            }
            else if (number < 1000) {
                return '00' + number;
            }
            else if (number < 10000) {
                return '0' + number;
            }
            else {
                return number.toString();
            }
        }
        else {
            return number.toString();
        }
    };
    Converter.prototype.stringToBoolean = function (value) {
        switch (value) {
            case 'true':
                return true;
            case 'false':
                return false;
            case 'null':
            case null:
                return false;
            default:
                return true;
        }
    };
    Converter.prototype.stringUnicode = function (string) {
        try {
            return string.normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        }
        catch (e) {
            return UrlDecode.decodeHtmlText(string);
        }
    };
    Converter.prototype.titleCase = function (string) {
        var splitStr = string.toLowerCase().split(' ');
        for (var i = 0; i < splitStr.length; i++) {
            splitStr[i] = splitStr[i].charAt(0).toUpperCase() + splitStr[i].substring(1);
        }
        return splitStr.join(' ');
    };
    return Converter;
}());
// tslint:disable-next-line:variable-name
export var StringConverter = new Converter();
//# sourceMappingURL=core-services-string.service.js.map