import { IAttachmentData, IAttachmentFileInfo } from './core-services-attachment.interface';
declare class Convert {
    textFileToUrlImage(file: File): PromiseLike<string>;
}
export declare const AttachmentConvert: Convert;
declare class Clean {
    cleanAttachmentText(string: string): string;
}
export declare const AttachmentClean: Clean;
declare class Icon {
    /**
     *
     * @param fileName File name including extensions.
     * @param url Where the images must be found. Default: 'assets/img/icon/attachment-icons/'
     */
    get(fileName: string, url?: string): string;
    extension(fileName: string): string;
}
export declare const AttachmentIcon: Icon;
declare class Parser {
    parseAcceptFiles(accepts: string): string[];
    populateFiles(attachmentsData: IAttachmentData[]): IAttachmentFileInfo[];
}
export declare const AttachmentParser: Parser;
declare class Validate {
    file(input: HTMLInputElement, accepts: string[]): boolean;
    fileSize(input: HTMLInputElement): boolean;
    /** The user must include the attribute 'data-maxsize' in mb(megabyte); */
    maxSize: (input: HTMLInputElement) => number;
    /**
     * Check if Attachment Data contains duplicated files
     * @param fileName The file must include the extension.
     * @param attachmentList Inform the list of attachments to be compared.
     */
    duplicated(fileName: string, attachmentList: IAttachmentData[]): boolean;
}
export declare const AttachmentValidate: Validate;
export {};
